Package org.jboss.logmanager.filters

## Class InvertFilter

- java.lang.Object
- - org.jboss.logmanager.filters.InvertFilter

All Implemented Interfaces:
  `java.util.logging.Filter`

    public final class InvertFilter
    extends java.lang.Object
    implements java.util.logging.Filter

An inverting filter.

### Constructor Summary

Constructors
`InvertFilter​(java.util.logging.Filter target)` Construct a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isLoggable​(java.util.logging.LogRecord record)` Determine whether a log record passes this filter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InvertFilter

    public InvertFilter​(java.util.logging.Filter target)

Construct a new instance.

Parameters:
  `target` - the target filter

### Method Detail

#### isLoggable

    public boolean isLoggable​(java.util.logging.LogRecord record)

Determine whether a log record passes this filter.

Specified by:
  `isLoggable` in interface `java.util.logging.Filter`
Parameters:
  `record` - the log record
Returns:
  `true` if the target filter returns `false`, `false` otherwise